com.sun.java.xml.ns.javaee

## Class DisplayNameType

- java.lang.Object
- - com.sun.java.xml.ns.javaee.String
  - - com.sun.java.xml.ns.javaee.DisplayNameType

-     public class DisplayNameType
      extends String

  [ The display-name type contains a short name that is intended to be displayed by tools. It is used by display-name elements. The display name need not be unique. Example: ... Employee Self Service The value of the xml:lang attribute is "en" (English) by default.

  Java-Klasse für display-nameType complex type.

  Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.

       <complexType name="display-nameType">
         <simpleContent>
           <extension base="<http://java.sun.com/xml/ns/javaee>string">
             <attribute ref="{http://www.w3.org/XML/1998/namespace}lang"/>
           </extension>
         </simpleContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `lang`

    - ### Fields inherited from class com.sun.java.xml.ns.javaee.String

      `id, value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DisplayNameType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getLang()` Ruft den Wert der lang-Eigenschaft ab.
    `void` | `setLang(String value)` Legt den Wert der lang-Eigenschaft fest.

    - ### Methods inherited from class com.sun.java.xml.ns.javaee.String

      `getId, getValue, setId, setValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### lang

          protected String lang

  - ### Constructor Detail

    - #### DisplayNameType

          public DisplayNameType()

  - ### Method Detail

    - #### getLang

          public String getLang()

      Ruft den Wert der lang-Eigenschaft ab.
      Returns:
        possible object is `String`

    - #### setLang

          public void setLang(String value)

      Legt den Wert der lang-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2015 buschmais GbR. All rights reserved.